#
# spec file for package ghc-mtl
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name mtl
Name:           ghc-mtl
Version:        2.2.1
Release:        4.4
Summary:        Monad classes, using functional dependencies
License:        BSD-3-Clause
Group:          System/Libraries
Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# End cabal-rpm deps

%description
Monad classes using functional dependencies, with instances for various monad
transformers, inspired by the paper /Functional Programming with Overloading
and Higher-Order Polymorphism/, by Mark P Jones, in /Advanced School of
Functional Programming/, 1995
(<http://web.cecs.pdx.edu/~mpj/pubs/springschool.html>).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Provides:       %{name}-static = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%{ghc_lib_build}

%install
%{ghc_lib_install}

%post devel
%{ghc_pkg_recache}

%postun devel
%{ghc_pkg_recache}

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Tue May 12 2015 mimi.vx@gmail.com
- update to 2.2.1
  * Provide MINIMAL pragmas for `MonadState`, `MonadWriter`, `MonadReader`
  * Added a cyclic definition of `ask` in terms of `reader` for consistency with `get`/`put` vs. `state` and `tell` vs. `writer`
  * Fix deprecation warnings caused by `transformers` 0.4 deprecating `ErrorT`.
  * Added `Control.Monad.Except` in the style of the other `mtl` re-export modules
  * Fixed a bug caused by the change in how `transformers` 0.4 exports its data types. We will now export `runFooT` for each transformer again!
  * `transformers` 0.4 support
  * Added instances for `ExceptT`
  * Added `modify'` to `Control.Monad.State.*`
* Thu Apr  9 2015 mimi.vx@gmail.com
- spec-cleaned
* Fri Sep 12 2014 peter.trommler@ohm-hochschule.de
- update to 2.1.3.1
  * no changelog
  * Haskell Platform 2014.2.0.0
* Tue Sep  2 2014 peter.trommler@ohm-hochschule.de
- regenerate spec file
* Sat Aug 23 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- more transparent packaging (fewer macros)
* Wed Jan  2 2013 peter.trommler@ohm-hochschule.de
- expand macro in name tag to help source validator
* Sat Nov 17 2012 peter.trommler@ohm-hochschule.de
- make service localonly for Factory submission
* Mon Oct  1 2012 peter.trommler@ohm-hochschule.de
- update to 2.1.2 from upstream
- required by Haskell Platform 2012.4.0.0
- dropped rpmlintrc (all warnings fixed by ghc-rpm-macros)
* Sun Jun  3 2012 peter.trommler@ohm-hochschule.de
- spec file generated by cabal2spec-0.25.5
- update to 2.1.1 from upstream (no changelog)
- required by Haskell Platform 2012.2.0.0
* Thu Feb 23 2012 peter.trommler@ohm-hochschule.de
- Added BuildRoot for sle11-sp1
* Fri Dec  9 2011 peter.trommler@ohm-hochschule.de
- Added BR ghc-transformers-devel
- Fixed package group and defattr
* Wed Nov 16 2011 peter.trommler@ohm-hochschule.de
- Added exclusive archs, License, and ASNEEDED.
* Wed Nov 16 2011 peter.trommler@ohm-hochschule.de
- Initial packaging.
